const St = imports.gi.St;
const PopupMenu = imports.ui.popupMenu;
const GObject = imports.gi.GObject;
var ActionBar = GObject.registerClass(class ActionBar extends PopupMenu.PopupBaseMenuItem {
    _init() {
        super._init({
            activate: false,
            hover: false,
            style_class: 'action-bar',
        });
        let actionsBox = new St.BoxLayout({
            vertical: false,
        });
        actionsBox.set_x_expand(true);
        this._enableBtn = new PopupMenu.PopupSwitchMenuItem(_("Enable"), false, {
            style_class: 'action-bar-btn',
            reactive: true, hover: true,
        });
        this._enableBtn._ornamentLabel.visible = false;
        this._enableBtn.set_x_expand(false);
        actionsBox.add(this._enableBtn);
        this.spacer = new PopupMenu.PopupBaseMenuItem();
        this.spacer._ornamentLabel.visible = false;
        this.spacer.set_x_expand(true);
        actionsBox.add(this.spacer);
        this._clearBtn = new PopupMenu.PopupBaseMenuItem({
            style_class: 'action-bar-btn'
        });
        this.clearIcon = new St.Icon({
            icon_name: "edit-delete-symbolic",
            style_class: 'popup-menu-icon',
        });
        this._clearBtn.add_child(this.clearIcon);
        this._clearBtn.set_x_expand(false);
        this._clearBtn._ornamentLabel.visible = false;
        actionsBox.add(this._clearBtn);
        this._settingsBtn = new PopupMenu.PopupBaseMenuItem({
            style_class: 'action-bar-btn'
        });
        this.settingsIcon = new St.Icon({
            icon_name: "emblem-system-symbolic",
            style_class: 'popup-menu-icon',
        });
        this._settingsBtn.add_child(this.settingsIcon);
        this._settingsBtn.set_x_expand(false);
        this._settingsBtn._ornamentLabel.visible = false;
        actionsBox.add(this._settingsBtn);
        this.actor.add(actionsBox);
    }
    onRemoveAll(callback) {
        this._clearBtn.connect('activate', (_obj) => {
            callback();
        });
    }
    onOpenSettings(callback) {
        this._settingsBtn.connect('activate', (_obj) => {
            callback();
        });
    }
    enable() {
        return this._enableBtn.state;
    }
});
