const Me = imports.misc.extensionUtils.getCurrentExtension();
const ScrollMenu = Me.imports.scrollMenu;
const MenuItem = Me.imports.menuItem;
const PopupMenu = imports.ui.popupMenu;
var HistoryMenu = class HistoryMenu extends ScrollMenu.ScrollMenu {
    constructor(onActivateItem, onPinItem, onRemoveItem) {
        super();
        this._onActivateItem = onActivateItem;
        this._onPinItem = onPinItem;
        this._onRemoveItem = onRemoveItem;
    }
    rebuildMenu(history, selectedID) {
        super.removeAll();
        history.forEach((info, _) => {
            let item = new MenuItem.MenuItem(info, this.onActivateItem.bind(this), this.onPinItem.bind(this), this.onRemoveItem.bind(this));
            if (info.id() == selectedID) {
                item.setOrnament(PopupMenu.Ornament.CHECK);
            }
            super.addMenuItem(item);
        });
    }
    onActivateItem(item) {
        this._onActivateItem(item.cbInfo);
    }
    onRemoveItem(item) {
        item.destroy();
        this._onRemoveItem(item.cbInfo);
    }
    onPinItem(item) {
        this._onPinItem(item.cbInfo);
    }
}
;
